
/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: strlook.c 1.1 90/01/12 $@(#)strlook.c	1.1 89/12/0"

#include <stdio.h>
#include <fcntl.h>
#include <stropts.h>
#include <sys/conf.h>

extern char *gettxt();

main(argc, argv)
int argc;
char **argv;
{
	int fd;
	char name[FMNAMESZ+1];

	if (argc < 2) {
		fprintf(stderr, gettxt("strlook:1","Usage:%s stream \n"), argv[0]);
		exit(1);
	}
	if (*argv[1] == '-') {
		fd = fileno(stdin);
		argv[1] = "stdin";
	} else if ((fd = open(argv[1], O_RDWR | O_NDELAY)) < 0) {
		perror(argv[1]);
		exit(1);
	}
	if ( isastream(fd) ) {
		if ( ioctl(fd, I_LOOK, name) < 0) {
			fprintf(stderr, gettxt("strlook:2","no module pushed on %s\n"), argv[1]);
			exit(1);
		}
		fprintf(stderr, gettxt("strlook:3","the top module on %s is %s\n"), argv[1], name);
		exit(0);
	} else {
		fprintf(stderr, gettxt("strlook:4","%s is not a stream\n"), argv[1]);
		exit(1);
	}
}
